
package top.tqx.demo_1.service;

import top.tqx.demo_1.dto.RoleCreateRequest;
import top.tqx.demo_1.dto.RoleUpdateRequest;
import top.tqx.demo_1.vo.PermissionVO;
import top.tqx.demo_1.vo.RoleVO;

import java.util.List;

public interface RoleService {

    List<RoleVO> listRoles();

    void createRole(RoleCreateRequest request);

    void updateRole(Long id, RoleUpdateRequest request);

    void deleteRole(Long id);

    void assignPermissions(Long roleId, List<Long> permissionIds);

    List<PermissionVO> getRolePermissions(Long roleId);
}
